GppLinker (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.gcc.GppLinker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.gcc
Class GppLinker

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractLinker
              net.sf.antcontrib.cpptasks.compiler.CommandLineLinker
                  net.sf.antcontrib.cpptasks.gcc.AbstractLdLinker
                      net.sf.antcontrib.cpptasks.gcc.GppLinker

All Implemented Interfaces:
  java.lang.Cloneable, Linker, Processor

    public class GppLinker

extends AbstractLdLinker

Adapter for the g++ variant of the GCC linker

Author:
  Stephen M. Webb

Field Summary
`protected static java.lang.String[]` | `discardFiles`
`protected static java.lang.String[]` | `libtoolObjFiles`
`protected static java.lang.String[]` | `objFiles`

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Constructor Summary
`protected` | `GppLinker(java.lang.String command, java.lang.String[] extensions, java.lang.String[] ignoredExtensions, java.lang.String outputPrefix, java.lang.String outputSuffix, boolean isLibtool, GppLinker libtoolLinker)`

Method Summary
`protected void` | `addImpliedArgs(boolean debug, LinkType linkType, java.util.Vector args)`
`java.lang.String[]` | `addLibrarySets(CCTask task, LibrarySet[] libsets, java.util.Vector preargs, java.util.Vector midargs, java.util.Vector endargs)`
`java.lang.String` | `decorateLinkerOption(java.lang.StringBuffer buf, java.lang.String arg)` Allows drived linker to decorate linker option.
`static GppLinker` | `getInstance()`
`java.io.File[]` | `getLibraryPath()` Returns library path.
`Linker` | `getLinker(LinkType type)` Gets the linker for the specified link type.

Methods inherited from class net.sf.antcontrib.cpptasks.gcc.AbstractLdLinker
`addBase, addEntry, addFixed, addIncremental, addLibraryPatterns, addMap, addStack, getCommandFileSwitch, getDynamicLibFlag, getEnvironmentIncludePath, getLibraryKey, getLibraryPatterns, getMaximumCommandLength, getOutputFileNames, getOutputFileSwitch, getStaticLibFlag, isCaseSensitive, isHPUX, prepareArguments`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineLinker
`createConfiguration, getCommand, getIdentifier, getLibtoolLinker, getOutputFileSwitch, getStartupObject, link, prepareFilename, prepareResponseFile, quoteFilename, runCommand, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractLinker
`addVersionFiles, bid, changeEnvironment, createConfiguration`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`clone, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### discardFiles

    protected static final java.lang.String[] discardFiles

### objFiles

    protected static final java.lang.String[] objFiles

### libtoolObjFiles

    protected static final java.lang.String[] libtoolObjFiles

Constructor Detail

### GppLinker

    protected GppLinker(java.lang.String command,
                        java.lang.String[] extensions,
                        java.lang.String[] ignoredExtensions,
                        java.lang.String outputPrefix,
                        java.lang.String outputSuffix,
                        boolean isLibtool,
                        GppLinker libtoolLinker)

Method Detail

### getInstance

    public static GppLinker getInstance()

### addImpliedArgs

    protected void addImpliedArgs(boolean debug,
                                  LinkType linkType,
                                  java.util.Vector args)

  Overrides:
    `addImpliedArgs` in class `AbstractLdLinker`

### addLibrarySets

    public java.lang.String[] addLibrarySets(CCTask task,
                                             LibrarySet[] libsets,
                                             java.util.Vector preargs,
                                             java.util.Vector midargs,
                                             java.util.Vector endargs)

  Overrides:
    `addLibrarySets` in class `AbstractLdLinker`

### decorateLinkerOption

    public java.lang.String decorateLinkerOption(java.lang.StringBuffer buf,
                                                 java.lang.String arg)

  Allows drived linker to decorate linker option. Override by GppLinker to prepend a "-Wl," to pass option to through gcc to linker.

  Overrides:
    `decorateLinkerOption` in class `CommandLineLinker`
  Parameters:
    `buf` - buffer that may be used and abused in the decoration process, must not be null.
    `arg` - linker argument

### getLibraryPath

    public java.io.File[] getLibraryPath()

  Returns library path.

  Specified by:
    `getLibraryPath` in interface `Linker`
  Overrides:
    `getLibraryPath` in class `AbstractLdLinker`

### getLinker

    public Linker getLinker(LinkType type)

  Description copied from interface: `Linker`
  Gets the linker for the specified link type.

  Returns:
    appropriate linker or null, will return this if this linker can handle the specified link type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.